aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rwxr-xr-xsystem/amavisd-new/amavisd-new.SlackBuild149
-rw-r--r--system/anacron/anacron-2.3.diff12
-rw-r--r--system/anacron/anacron.SlackBuild128
-rwxr-xr-xsystem/fs/cryptsetup/cryptsetup-luks.SlackBuild120
-rwxr-xr-xsystem/fs/cryptsetup/cryptsetup.SlackBuild120
-rw-r--r--system/fs/cryptsetup/slack-required2
-rwxr-xr-xsystem/hddtemp/hddtemp.SlackBuild202
-rwxr-xr-xsystem/lm_sensors/lm_sensors.SlackBuild168
8 files changed, 0 insertions, 901 deletions
diff --git a/system/amavisd-new/amavisd-new.SlackBuild b/system/amavisd-new/amavisd-new.SlackBuild
deleted file mode 100755
index 95c78341..00000000
--- a/system/amavisd-new/amavisd-new.SlackBuild
+++ /dev/null
@@ -1,149 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for amavisd-new
-# by rhatto at riseup.net
-#
-
-cat << EOCAT
-You'll need the following perl modules to run amavisd-new:
-
- cpan2tgz --no-recursive Compress::Zlib IO::Zlib Archive::Tar Archive::Zip Compress::Zlib \\
- IO::Stringy Mail::Field Mail::Header Mail::Internet MIME::Body \\
- Convert::TNEF Convert::UUlib MIME::Base64 MIME::Parser \\
- Net::Server Net::SMTP Digest::MD5 Time::HiRes Unix::Syslog BerkeleyDB
-
-Optional:
-
- cpan2tgz --no-recursive Digest::SHA1 HTML::Tagset HTML::Parser \\
- Mail::SpamAssassin DBD::mSQL Convert::ASN1 \\
- Net::LDAP Authen::SASL Mail::ClamAV SAVI
-
-EOCAT
-
-if [ "$INTERACT" != "no" ]; then
- echo "Hit ENTER do continue, Crtl-C to abort"
- read crap
-else
- echo sleeping 3 seconds...
- sleep 3
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="amavisd-new"
-ARCH="noarch"
-VERSION=${VERSION:=2.4.1}
-BUILD=${BUILD:=1rha}
-TMP=${TMP:=/tmp}
-SRC_DIR=${SRC:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://www.ijs.si/software/amavisd/$SRC"
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-rm -rf package-$PACKAGE
-mkdir package-$PACKAGE
-cd package-$PACKAGE
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-CWD="`pwd`"
-
-mkdir -p $TMP/package-$PACKAGE/$PACKAGE
-cd $TMP/package-$PACKAGE/$PACKAGE
-
-mkdir -p etc/rc.d
-mkdir -p var/amavis/{tmp,var,db}
-mkdir -p usr/{sbin,doc,share/$PACKAGE-$VERSION}
-mkdir var/virusmails
-
-cp $CWD/*patch usr/share/$PACKAGE-$VERSION/
-
-cp $CWD/amavisd usr/sbin/
-cp $CWD/amavisd-{nanny,agent,release} usr/sbin/
-
-cp $CWD/amavisd.conf etc/amavisd.conf.new
-cp $CWD/amavisd_init.sh etc/rc.d/rc.amavisd.new
-
-chmod 755 etc/rc.d/rc.amavisd.new
-chmod 755 usr/sbin/amavisd*
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-amavisd-new: amavisd-new (an interface between MTAs and content checkers)
-amavisd-new:
-amavisd-new: amavisd-new is a high-performance interface between mailer (MTA) and
-amavisd-new: content checkers: virus scanners, and/or SpamAssassin. It is written
-amavisd-new: in Perl for maintainability, without paying a significant price for
-amavisd-new: speed. It talks to MTA via (E)SMTP or LMTP, or by using helper
-amavisd-new: programs. Best with Postfix, fine with dual-sendmail setup and Exim
-amavisd-new: v4, works with sendmail/milter, or with any MTA as a SMTP relay.
-amavisd-new: For Courier and qmail MTA integration there is a patch in the
-amavisd-new: distributed package.
-amavisd-new:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AAAREADME.first INSTALL LDAP.schema LICENSE MANIFEST README_FILES RELEASE_NOTES TODO; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-# install script
-echo '( chroot . /sbin/ldconfig )' > /install/doinst.sh
-echo '( if ! grep -qe "^amavis:" etc/group; then echo creating group amavis... ; chroot . /usr/sbin/groupadd amavis; fi )' >> install/doinst.sh
-echo '( if ! grep -qe "^amavis:" etc/passwd; then echo creating user amavis... ; chroot . /usr/sbin/useradd amavis -g amavis; fi )' >> install/doinst.sh
-echo '( echo setting permissions on /var/amavis to amavis.amavis... )' >> install/doinst.sh
-echo '( chroot . /usr/bin/chown -R amavis.amavis /var/amavis )' >> install/doinst.sh
-echo '( chroot . /usr/bin/chmod -R 750 /var/amavis )' >> install/doinst.sh
-echo '( if [ ! -f "etc/amavisd.conf" ]; then mv etc/amavisd.conf.new etc/amavisd.conf; fi )' >> install/doinst.sh
-echo '( if [ ! -f "etc/rc.d/rc.amavisd" ]; then mv etc/rc.d/rc.amavisd.new etc/rc.d/rc.amavisd; fi )' >> install/doinst.sh
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/system/anacron/anacron-2.3.diff b/system/anacron/anacron-2.3.diff
deleted file mode 100644
index 983bc24b..00000000
--- a/system/anacron/anacron-2.3.diff
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -Naur anacron-2.3.orig/gregor.c anacron-2.3/gregor.c
---- anacron-2.3.orig/gregor.c 2000-06-22 19:50:40.000000000 -0300
-+++ anacron-2.3/gregor.c 2006-10-19 16:18:29.000000000 -0200
-@@ -65,7 +65,7 @@
- {
- int dn;
- int i;
-- const int isleap; /* save three calls to leap() */
-+ int isleap; /* save three calls to leap() */
-
- /* Some validity checks */
-
diff --git a/system/anacron/anacron.SlackBuild b/system/anacron/anacron.SlackBuild
deleted file mode 100644
index ce90c9df..00000000
--- a/system/anacron/anacron.SlackBuild
+++ /dev/null
@@ -1,128 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for anacron
-# by rhatto at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building anacron are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="anacron"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=2.3}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-# ------- error codes for createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/anacron/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
-fi
-
-make || exit $ERROR_MAKE
-
-CWD="`pwd`"
-
-mkdir $TMP/package-$PACKAGE
-cd $TMP/package-$PACKAGE
-
-mkdir -p usr/sbin var/spool/anacron usr/man/man5 usr/man/man8
-cp $CWD/anacron usr/sbin
-cp $CWD/anacrontab.5 usr/man/man5
-cp $CWD/anacron.8 usr/man/man8
-
-gzip usr/man/man5/anacrontab.5
-gzip usr/man/man8/anacron.8
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-anacron: anacron (periodic command scheduler)
-anacron:
-anacron: Anacron is a periodic command scheduler. It executes commands at
-anacron: intervals specified in days. Unlike cron, it does not assume that the
-anacron: system is running continuously. It can therefore be used to control
-anacron: the execution of daily, weekly, and monthly jobs (or anything with
-anacron: a period of n days), on systems that don't run 24 hours a day. When
-anacron: installed and configured properly, Anacron will make sure that the
-anacron: commands are run at the specified intervals as closely as
-anacron: machine-uptime permits.
-anacron:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-DOCS="COPYING ChangeLog README TODO"
-
-for file in $DOCS; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/system/fs/cryptsetup/cryptsetup-luks.SlackBuild b/system/fs/cryptsetup/cryptsetup-luks.SlackBuild
deleted file mode 100755
index 67f3a16d..00000000
--- a/system/fs/cryptsetup/cryptsetup-luks.SlackBuild
+++ /dev/null
@@ -1,120 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for cryptsetup-luks
-# by rhatto at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building cairo are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="cryptsetup-luks"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=1.0.3}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-# ------- error codes for createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="bz2"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://luks.endorphin.org/source/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
-make || exit $ERROR_MAKE
-make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-cryptsetup-luks: crypstsetup-luks (userland tool for dm-crypt)
-cryptsetup-luks:
-cryptsetup-luks: LUKS is the upcoming standard for Linux hard disk encryption.
-cryptsetup-luks: By providing a standard on-disk-format, it does not only facilitate
-cryptsetup-luks: compatibility among distributions, but also provide secure management
-cryptsetup-luks: of multiple user passwords. In contrast to existing solution, LUKS
-cryptsetup-luks: stores all setup necessary setup information in the partition header,
-cryptsetup-luks: enabling the user to transport or migrate his data seamlessly. LUKS
-cryptsetup-luks: for dm-crypt is implemented in cryptsetup. cryptsetup-luks is intended
-cryptsetup-luks: as a complete replacement for the original cryptsetup. It provides
-cryptsetup-luks: all the functionally of the original version plus LUKS features.
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/system/fs/cryptsetup/cryptsetup.SlackBuild b/system/fs/cryptsetup/cryptsetup.SlackBuild
deleted file mode 100755
index 3fd57c14..00000000
--- a/system/fs/cryptsetup/cryptsetup.SlackBuild
+++ /dev/null
@@ -1,120 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for cryptsetup
-# by rhatto at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building cairo are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="cryptsetup"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=0.1}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-# ------- error codes for createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="bz2"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://www.saout.de/misc/dm-crypt/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
-make || exit $ERROR_MAKE
-make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-cryptsetup: crypstsetup (userland tool for dm-crypt)
-cryptsetup:
-cryptsetup: cryptsetup is a wrapper for dm-setup to create encrypted volumes.
-cryptsetup:
-cryptsetup:
-cryptsetup:
-cryptsetup:
-cryptsetup:
-cryptsetup:
-cryptsetup:
-cryptsetup:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/system/fs/cryptsetup/slack-required b/system/fs/cryptsetup/slack-required
deleted file mode 100644
index 3ec97401..00000000
--- a/system/fs/cryptsetup/slack-required
+++ /dev/null
@@ -1,2 +0,0 @@
-libgcrypt
-libgpg-error
diff --git a/system/hddtemp/hddtemp.SlackBuild b/system/hddtemp/hddtemp.SlackBuild
deleted file mode 100755
index 4f632bb3..00000000
--- a/system/hddtemp/hddtemp.SlackBuild
+++ /dev/null
@@ -1,202 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for hddtemp, by Rudson R. Alves
-# requires: none
-# tested: hddtemp-0.3-beta12
-
-CWD=`pwd`
-
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e "/root/.slackbuildrc" ]; then
- source /root/.slackbuildrc
-elif [ -e "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="hddtemp-0.3-beta15.tar.bz2"
-MD5_ORIG="8b829339e1ae9df701684ec239021bb8"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-(.*)\.(.*\..*)/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-(.*)\.(.*\..*)/\2/'`
- REVISION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-(.*)\.(.*\..*)/\3/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-(.*)\.(.*\..*)/\4/'`
-
-# ------- Códigos de erro para o createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
-ARCH=${ARCH:=i468}
-SRC_DIR=${SRC:=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=$PACKAGE-$VERSION-$REVISION.$EXTENSION
-BUILD=${BUILD:=1rud}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/usr}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://www.guzu.net/files/$SRC"}
-
-# ---------------- SlackBuild Help ----------------------
-if [ "$1" = "--help" -o "$1" = "help" ]; then
- echo -e "\033[01;32m
-Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
-where:
- ARCH=machine arch (i386, i486, i686, ...)
- VERSION=package version
- BUILD=package build version (default 1rud)
- SRC=source name of package
- SRC_DIR=source directory (default $PWD)
- TMP=temporary directory (default /tmp)
- REPOS=repository directory
- PREFIX=prefix from install package
- OPTCONF=options to pass from ./configure. To configure
- help, use OPTCONF=\"--help\"
- MD5=md5sum from package source
- URL=url from package source
-\033[m"
- exit $ERROR_HELP
-fi
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
- wget "$URL" -P "$SRC_DIR/$PACKAGE"
- # Verifica se o
- if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
- exit $ERROR_WGET
- fi
-fi
-
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- if [ "$SUM" != "$MD5" ]; then
- echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
- echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
- exit 0
- fi
- echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
-fi
-
-# ----------------- ARCH e LIBDIR -----------------------
-# Libdir, para arch x86_64
-LIBDIR=$PREFIX/lib
-# Seleciona flags para o compilador
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
-fi
-
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
- exit $ERROR_TAR
-fi
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
-cd $PKG_DIR
-
-# -------------- Configura programa ---------------------
-# Configura programa
-echo -e "\n\n\033[01;32m CFLAGS=\"$SLKCFLAGS\" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF \n\033[m"
-CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF
-if [ $? -ne 0 -o "$OPTCONF" = "--help" ]; then
- echo -e "\n\n\033[01;31m Configure error \n\033[m"
- exit $ERROR_CONF
-fi
-
-# ---------------- Compila programa ---------------------
-echo -e "\n\n\033[01;32m make -j3 \n\033[m"
-make -j3
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Build error \n\033[m"
- exit $ERROR_MAKE
-fi
-
-# ------------- Diretório Temporário --------------------
-# Cria diretório temporário para construção do pacote
-PKG=$TMP/$PACKAGE
-rm -rf $PKG
-mkdir -p $PKG
-
-# --------------- Instala programa ----------------------
-# Instala programa em diretório temporário
-echo -e "\n\n\033[01;32m make install DESTDIR=$PKG \n\033[m"
-make install DESTDIR=$PKG
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Install error \n\033[m"
- exit $ERROR_INSTALL
-fi
-
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |----handy-ruler------------------------------------------------------|
-hddtemp: hddtemp.SlackBuild by Rudson R. Alves
-hddtemp:
-hddtemp: hddtemp is a small utility that gives you the temperature of your
-hddtemp: hard drive by reading S.M.A.R.T. informations (for drives that
-hddtemp: support this feature).
-hddtemp: Note: only recent hard drives have a temperature sensor.
-hddtemp:
-hddtemp: The temperature information seems to be vendor specific (i.e. not
-hddtemp: standardized). So hddtemp comes with a file (hddtemp.db) that contains
-hddtemp: informations about drives that were reported to work with hddtemp.
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_DIR/{ABOUT-NLS,AUTHORS,COPYING,ChangeLog,GPL-2,INSTALL,LICENSE,NEWS,README,TODO} $PKG_DOC
-
-# --------------- Constroi o pacote ---------------------
-echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-if [ $? -ne 0 ]; then
- exit $ERROR_MKPKG
-fi
-
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- echo -e "\n\n\033[01;32m Remove files... \n\033[m"
- rm -rf $PKG $PKG_SRC
-fi
diff --git a/system/lm_sensors/lm_sensors.SlackBuild b/system/lm_sensors/lm_sensors.SlackBuild
deleted file mode 100755
index 57dbe34a..00000000
--- a/system/lm_sensors/lm_sensors.SlackBuild
+++ /dev/null
@@ -1,168 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for rssh
-# requires: kernel-source-2.6, kernel-headers-2.6
-#
-
-CWD=`pwd`
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PRGNAM="lm_sensors"
-PACKAGE="$PRGNAM"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=2.9.1}
-BUILD=${BUILD:=3rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://dl.lm-sensors.org/lm-sensors/releases/$SRC"
-
-RTOOL="wget"
-
-gpg --import << EOPGP
------BEGIN PGP PUBLIC KEY BLOCK-----
-Version: PGPfreeware 5.0i for non-commercial use
-
-mQCNAzaeL3sAAAEEAL7roqireHxJ43Xo1oOWAUbba5DVfQX8Cnv99I1VQ1suFxVn
-HWpWjlI0BUaMZzP9JF9F/xZhpd9dyjj3giuFReyj8Qk5e6Q0eSWSL+0CADi9Pesm
-zQQt4GmPpDfLKbzFUWCUNbB5vAC8p9Fj2frHBqcF7z3AR3u+3h8uYrXvyThJAAUR
-tCVQaGlsaXAgRWRlbGJyb2NrIDxwaGlsQG5ldHJvZWRnZS5jb20+iQCVAwUQNp4v
-ex8uYrXvyThJAQEJFwP+IED7wi0Spa1KpVp9ywK9r7Fu7WLUhv0stD2GlFL+USa7
-UTB0XuFXuOFVVNtBauj5a1morjVGIcwYkJ4prTLYe+ok+AjfeCjodPxzrSqPgf3n
-xbQqRg0vMCxIHHBP8dv2guEBii06GhvculveSvvyOZGEKLAV6btKXvIxJI7yRHU=
-=Mzd5
------END PGP PUBLIC KEY BLOCK-----
-
------BEGIN PGP PUBLIC KEY BLOCK-----
-Version: PGPfreeware 5.0i for non-commercial use
-
-mQGiBDfK4agRBADvyYYefBEaVxx7plH0qJayzZIEjJOjBwsDZl5HWfx+XbZrtGzg
-ouhbw+a9vcA5birNt7GhlMHiKYQ20fTircGfJr1WgIDRQp2/LgFRBaL9sbYIpgBv
-EM6+4y7vsSamkVl+xanhGDkLHn95zD+fSjTY4BbgsL7nqyVe6m96IZ1a2wCg/y61
-6iVL3rqRSzu4zeNoB4XPjJ8D/2ZMoKVvlKrW9zmfC/Ymty10BxPKmtXg2+UoWhLc
-BO0Cn22iktmCHQIgn/tj0GqB+zxy87vOANlge2TXCgxbfp1mDFBPHZ3R5kLh4AU3
-qMG0eOIYl7Jng848WmMWeFCyw1rw8i3OdlOel+vtKJvw6IhJsThqL6UKjVVUSTcR
-9TQfA/4uqG3rf+8xF6dFsoTCyk+Vk703Uli0MJmN36fuLw147LfZaC858V2fDCAF
-PamhhFe5Tf90Ini/pSby6SCPd06iMLN8HdbfrAwPGGJYDrST1epnNr/7seYioFOe
-mr7CUKqbQCR7um7VQbzIQ8PG5tsiphmebyKQ5YQlF24wfQMmyrQHcGhpbGRzc4kA
-SwQQEQIACwUCN8rhqAQLAwECAAoJEOCiVzdlI2rVUdUAn0B81EIPhtLH6lM5kKf/
-LyEupz9gAJ44uLsibf2unlk8sE1Znox4BeDHZLQZcGhpbEBzdGltcHkubmV0cm9l
-ZGdlLmNvbYkASwQQEQIACwUCN8rniwQLAwECAAoJEOCiVzdlI2rVj7sAoJyc5Yd4
-qTx8J+Uqx3blYGgbYCMGAKC41VDaAktzuW7x6/fisE1bOgangbkCDQQ3yuGoEAgA
-9kJXtwh/CBdyorrWqULzBej5UxE5T7bxbrlLOCDaAadWoxTpj0BV89AHxstDqZSt
-90xkhkn4DIO9ZekX1KHTUPj1WV/cdlJPPT2N286Z4VeSWc39uK50T8X8dryDxUcw
-Yc58yWb/Ffm7/ZFexwGq01uejaClcjrUGvC/RgBYK+X0iP1YTknbzSC0neSRBzZr
-M2w4DUUdD3yIsxx8Wy2O9vPJI8BD8KVbGI2Ou1WMuF040zT9fBdXQ6MdGGzeMyEs
-tSr/POGxKUAYEY18hKcKctaGxAMZyAcpesqVDNmWn6vQClCbAkbTCD1mpF1Bn5x8
-vYlLIhkmuquiXsNV6TILOwACAgf/YDv43LHUBX4wGkVbLJ2DU8tOAp5Od0pxXaUF
-FMGzTuR3W5IdS9YjTo9NdE6DlsX34yU1iLTyjnqApDfu2Uz2oeM1RULYmK9srA2M
-LZoDAiVtwsqRX5x0QlkdrDn6ngZMnfe9n8d3fxxqC6wtI+EpXUEk+G4hafowyM2j
-ogibnD8TGwjCFD5OQSG50yRCEykZez3thX2jRrlZLRhhtU1eb2GbJ7NMoFoAH079
-me+8kspMvYaPAQg/vpml89BNWmdu3OdtR7qFO9vNbDRFJMZLIucC6sWWMPSXltcI
-rOHdFtnux8OxY+57juMgkOR5JsyY1WizxmWgIAptLv7KlLYkiokAPwMFGDfK4ajg
-olc3ZSNq1REC58kAoLyb4jp4/9/QUEQrFFmyy4M/65xuAKCnpPd37PhwQn0kLIlo
-BP7wPk2BgQ==
-=l+kY
------END PGP PUBLIC KEY BLOCK-----
-EOPGP
-
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
-fi
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
- wget "$URL.asc" -O "$SRC_DIR/$SRC.asc"
-fi
-
-gpg --verify $SRC_DIR/$SRC.asc $SRC_DIR/$SRC || echo WARNING: Could not check signature or WRONG signature found.
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-rm -rf $PACKAGE-$VERSION $PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-tar xvf$tarflag $SRC_DIR/$PACKAGE-$VERSION.tar.$PACKAGE_EXT
-cd $PACKAGE-$VERSION
-
-sed -e 's/^I2C_HEADERS := \/usr\/local\/include/I2C_HEADERS := \/usr\/include/' \
- -e 's/^PREFIX := \/usr\/local/PREFIX := \/usr/' Makefile > Makefile.new
-
-if [ "$ARCH" == "x86_64" ]; then
- sed -e 's/LIBDIR := $(PREFIX)\/lib/LIBDIR := $(PREFIX)\/lib64/' Makefile.new > Makefile
-else
- mv Makefile.new Makefile
-fi
-
-make user
-make DESTDIR=$TMP/package-$PACKAGE user_install
-
-CWD="`pwd`"
-
-mkdir -p $TMP/package-$PACKAGE/install
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-lm_sensors: lm_sensors (Linux sensors drivers and hardware monitoring tools)
-lm_sensors:
-lm_sensors: lm_sensors provides essential drivers for monitoring the
-lm_sensors: temperatures, voltages, and fans of Linux systems with hardware
-lm_sensors: monitoring devices. It contains Linux 2.4 drivers for sensor chips
-lm_sensors: and I2C and SMBus masters, text-based tools for sensor reporting,
-lm_sensors: and a library for sensors access called "libsensors". It also
-lm_sensors: contains tools for sensor hardware identification and I2C bus probing.
-lm_sensors:
-lm_sensors:
-lm_sensors:
-EOF
-
-# config
-mv etc/sensors.conf etc/sensors.conf.new
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-cp $CWD/{BACKGROUND,BUGS,CHANGES,CONTRIBUTORS,COPYING,INSTALL,QUICKSTART,README,README.thinkpad,TODO} usr/doc/$PACKAGE-$VERSION/
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-